OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

aystar.cpp File Reference

Implementation of A*. More...

`#include "../../stdafx.h"`
`#include "../../core/alloc_func.hpp"`
`#include "aystar.h"`
`#include "../../safeguards.h"`

Go to the source code of this file.

## Detailed Description

Implementation of A*.

This file has the core function for AyStar. AyStar is a fast path finding routine and is used for things like AI path finding and Train path finding. For more information about AyStar (A* Algorithm), you can look at http://en.wikipedia.org/wiki/A-star_search_algorithm.

Definition in file aystar.cpp.